Subject: bug#78561: [PATCH] Add semantic linefeed support for paragraph filling

From: Stefan Monnier <[email-masked]>
Date: Mon, 02 Jun 2025 15:13:05 -0400

> RMS replied to me with a review, where he mentioned that this feature
> would be more convenient if it were a minor mode.  Eli, Stefan, what do
> you think?  If it makes sense, we can add it in a future patch.

Yes, it goes in the same direction of my TODO of adding more hooks to
control various aspects of filling.  (One of) Those hooks should make it
easy to write such a minor mode.

> I've attached a new version of the patch.  It includes the following
> changes compared to the previous version:

LGTM.

Side comment, tho: it would be good to get rid of the `with-restriction`
so that the code can see the surrounding text.  In the past such
restrictions in `fill.el` have posed problems for example when we want
to refill code in a way that obeys indentation rules or that
needs to distinguish filling within strings vs filling within comments.

        Stefan